Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList:

[legend]
Collaboration diagram for ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList (void)
| _TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList (CORBA::ULong maximum, CORBA::ULong length, EnvironmentVariable *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList (const _TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList &rhs)
_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList & | operator= (const _TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList &rhs)
virtual | ~_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList (void)
EnvironmentVariable & | operator[] (CORBA::ULong i)
const EnvironmentVariable & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
EnvironmentVariable * | get_buffer (CORBA::Boolean orphan=0)
const EnvironmentVariable * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, EnvironmentVariable *data, CORBA::Boolean release)
## Static Public Methods
EnvironmentVariable * | allocbuf (CORBA::ULong size)
void | freebuf (EnvironmentVariable *buffer)

## Constructor & Destructor Documentation

ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList | ( | void |  | ) |

ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList | ( | CORBA::ULong | maximum | ) |

ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | EnvironmentVariable * | data,
|  | CORBA::Boolean | release = 0
| ) |

ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList | ( | const _TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList & | rhs | ) |

ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::~_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

EnvironmentVariable* ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::freebuf | ( | EnvironmentVariable * | buffer | ) | `[static]`

const EnvironmentVariable* ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::get_buffer | ( | void |  | ) | const

EnvironmentVariable* ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList& ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::operator= | ( | const _TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList & | rhs | ) |

const EnvironmentVariable& ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::operator[] | ( | CORBA::ULong | i | ) | const

EnvironmentVariable& ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::operator[] | ( | CORBA::ULong | i | ) |

void ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_EnvironmentList::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | EnvironmentVariable * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp